<?php
/**
 * @file
 * faktura.rules_defaults.inc
 */

/**
 * Implements hook_default_rules_configuration().
 */
function faktura_default_rules_configuration() {
  $items = array();
  $items['rules_automatic_calculate_invoices_subtotal'] = entity_import('rules_config', '{ "rules_automatic_calculate_invoices_subtotal" : {
      "LABEL" : "Automatic calculate invoices subtotal",
      "PLUGIN" : "reaction rule",
      "TAGS" : [ "Invoice" ],
      "REQUIRES" : [ "rules" ],
      "ON" : [ "node_insert", "node_update" ],
      "IF" : [
        { "node_is_of_type" : {
            "node" : [ "node" ],
            "type" : { "value" : { "dunning" : "dunning", "invoice" : "invoice" } }
          }
        }
      ],
      "DO" : [
        { "variable_add" : {
            "USING" : { "type" : "decimal", "value" : "0" },
            "PROVIDE" : { "variable_added" : { "subtotal" : "Subtotal" } }
          }
        },
        { "LOOP" : {
            "USING" : { "list" : [ "node:field-invoice-item" ] },
            "ITEM" : { "list_item" : "Current invoice position" },
            "DO" : [
              { "data_calc" : {
                  "USING" : {
                    "input_1" : [ "subtotal" ],
                    "op" : "+",
                    "input_2" : [ "list-item:field-invoice-item-total" ]
                  },
                  "PROVIDE" : { "result" : { "result" : "Calculation result" } }
                }
              },
              { "data_set" : { "data" : [ "subtotal" ], "value" : [ "result" ] } }
            ]
          }
        },
        { "data_set" : { "data" : [ "node:field-invoice-subtotal" ], "value" : [ "subtotal" ] } },
        { "entity_save" : { "data" : [ "node" ] } }
      ]
    }
  }');
  $items['rules_automatic_calculate_invoices_total'] = entity_import('rules_config', '{ "rules_automatic_calculate_invoices_total" : {
      "LABEL" : "Automatic calculate invoices total",
      "PLUGIN" : "reaction rule",
      "WEIGHT" : "1",
      "TAGS" : [ "Invoice" ],
      "REQUIRES" : [ "rules" ],
      "ON" : [ "node_insert", "node_update" ],
      "IF" : [
        { "node_is_of_type" : {
            "node" : [ "node" ],
            "type" : { "value" : { "dunning" : "dunning", "invoice" : "invoice" } }
          }
        }
      ],
      "DO" : [
        { "variable_add" : {
            "USING" : { "type" : "decimal", "value" : [ "node:field-invoice-subtotal" ] },
            "PROVIDE" : { "variable_added" : { "total" : "Total" } }
          }
        },
        { "LOOP" : {
            "USING" : { "list" : [ "node:field-invoice-tax" ] },
            "ITEM" : { "tax_list_item" : "Current tax position" },
            "DO" : [
              { "data_calc" : {
                  "USING" : {
                    "input_1" : [ "total" ],
                    "op" : "+",
                    "input_2" : [ "tax-list-item:field-tax-amount" ]
                  },
                  "PROVIDE" : { "result" : { "result" : "Calculation result" } }
                }
              },
              { "data_set" : { "data" : [ "total" ], "value" : [ "result" ] } }
            ]
          }
        },
        { "entity_save" : { "data" : [ "node" ] } },
        { "data_set" : { "data" : [ "node:field-invoice-total" ], "value" : [ "total" ] } }
      ]
    }
  }');
  $items['rules_calculate_tax'] = entity_import('rules_config', '{ "rules_calculate_tax" : {
      "LABEL" : "Calculate tax",
      "PLUGIN" : "reaction rule",
      "WEIGHT" : "1",
      "ACTIVE" : false,
      "TAGS" : [ "Tax" ],
      "REQUIRES" : [ "rules" ],
      "ON" : [ "node_update" ],
      "IF" : [
        { "node_is_of_type" : { "node" : [ "node" ], "type" : { "value" : { "invoice" : "invoice" } } } }
      ],
      "DO" : [
        { "variable_add" : {
            "USING" : { "type" : "list\\u003Cfield_collection_item\\u003E", "value" : [ "" ] },
            "PROVIDE" : { "variable_added" : { "cleared_tax_list_variable_added" : "Cleared tax list" } }
          }
        },
        { "LOOP" : {
            "USING" : { "list" : [ "node:field-invoice-item" ] },
            "ITEM" : { "invoice_list_item" : "Current invoice item" },
            "DO" : [
              { "list_add" : {
                  "list" : [ "cleared-tax-list-variable-added" ],
                  "item" : [ "invoice-list-item" ],
                  "unique" : 1
                }
              }
            ]
          }
        },
        { "entity_save" : { "data" : [ "node" ] } }
      ]
    }
  }');
  $items['rules_link_condition_pdf_export'] = entity_import('rules_config', '{ "rules_link_condition_pdf_export" : {
      "LABEL" : "Rules link: PDF Export condition",
      "PLUGIN" : "and",
      "REQUIRES" : [ "rules" ],
      "USES VARIABLES" : { "node" : { "label" : "node", "type" : "node" } },
      "AND" : [
        { "AND" : [
            { "entity_has_field" : { "entity" : [ "node" ], "field" : "field_ref_company" } },
            { "entity_has_field" : {
                "entity" : [ "node:field-ref-company" ],
                "field" : "field_invoice_template"
              }
            },
            { "NOT data_is_empty" : { "data" : [ "node:field-ref-company:field-invoice-template" ] } }
          ]
        }
      ]
    }
  }');
  $items['rules_link_set_pdf_export'] = entity_import('rules_config', '{ "rules_link_set_pdf_export" : {
      "LABEL" : "Rules link: PDF Export rules set",
      "PLUGIN" : "rule set",
      "REQUIRES" : [ "rules", "php" ],
      "USES VARIABLES" : { "node" : { "label" : "node", "type" : "node" } },
      "RULES" : [
        { "RULE" : {
            "IF" : [
              { "entity_has_field" : { "entity" : [ "node" ], "field" : "field_ref_company" } },
              { "entity_has_field" : {
                  "entity" : [ "node:field-ref-company" ],
                  "field" : "field_invoice_template"
                }
              }
            ],
            "DO" : [
              { "php_eval" : { "code" : "odttemplate_export($node, \\u0027pdf\\u0027);" } }
            ],
            "LABEL" : "PDF Export"
          }
        }
      ]
    }
  }');
  return $items;
}
